Bug 1479010 - The scroll bar is missing after update to RHEL 7.4
The scroll bar is missing after update to RHEL 7.4
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gtk3 (Show other bugs)
7.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Benjamin Otte
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 13:16 EDT by Andy Feldt
Modified: 2017-08-24 13:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Feldt 2017-08-07 13:16:06 EDT
Description of problem:
When evolution displays the the message list or the current message, there is no scroll bar available.

Version-Release number of selected component (if applicable):
evolution-3.22.6-10.el7.x86_64

How reproducible:
Every time

Steps to Reproduce:
1.Start evolution
2.
3.

Actual results:
No scroll bar for either the message list or the current message.

Expected results:
A functioning scroll bar.

Additional info:
This happened at the update from RHEL 7.3 to RHEL 7.4
Comment 2 Milan Crha 2017-08-21 12:02:35 EDT
Thanks for a bug report. Apart of evolution, also other (many) core packages had been updated, one of them being gtk3. I guess what you see is an overlay scrollbar functionality, being enabled in gtk3 by default. This causes scrollbars being hidden until a mouse pointer hovers near the window edge, where they use to be. This can be turned off when an environment variable is set:

   $ export GTK_OVERLAY_SCROLLING=0

You can give it a try also when running evolution from a terminal like this:

   $ GTK_OVERLAY_SCROLLING=0 evolution

All gtk3 applications should be "affected", unless then disable it in the code, which I doubt of.

Is it it, please?
Comment 3 Andy Feldt 2017-08-23 15:02:44 EDT
No, a hover does not reveal the scroll bar nor does setting that environment variable.  However, I do believe it is due to a change in gtk3 since we also see this behavior (no scroll bar) for emacs.  Note that this occurs in the MATE desktop and the Cinnamon desktop, but not in the Gnome Classic desktop.
Comment 4 Milan Crha 2017-08-24 02:35:23 EDT
Thanks for the update. I'm moving this to gtk3 then, because it looks like an issue there, as you said. Maybe the theme being used has its part on this too.
Comment 5 Milan Crha 2017-08-24 03:56:37 EDT
I tried running evolution under MATE and there are many runtime warnings from gtk+ about theme parsing issues. I think the EPEL should be updated too, all the parts which depend on gtk3 (as you found Cinnamon and MATE as the first), otherwise I'm afraid it's undoable to correct this on the gtk+ side. I'm not a gtk+ developer though, thus I can be wrong.
Comment 6 Milan Crha 2017-08-24 04:13:13 EDT
Ah, I just wrote it and then realized that MATE is updated to 1.16.2 in EPEL, thus I updated my RHEL machine with it (from 1.14.1) and it didn't help. What did help was to change the Theme, in System->Look & Feel->Appearance, to Adwaita.
Comment 7 Andy Feldt 2017-08-24 13:42:49 EDT
Yes, I have verified that this solves the scrollbar problems for evolution and emacs and also solves an issue with the menu items at the top of at Terminal window where they had been squashed together.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.